=== FreeBSD/Makefile ===
# $Id: Makefile,v 1.1 2002/03/18 21:00:57 quinot Exp $

KMOD=	ups_powerdown
SRCS=	ups_powerdown.c

.include <bsd.kmod.mk>
