=== debian/changelog ===
genpower (1.0.5-1) unstable; urgency=low 

  * Fixed problem with kill-inverter time being 1/100 of specified time (closes: #280731)

 -- Brian White <bcwhite@pobox.com>  Tue,  4 Jan 2005 17:18:24 -0500

  

genpower (1.0.4-1) unstable; urgency=low 

  * Corrected problem copying strings from config file (closes: #190206)
  * Now reads config file during startup (closes: #199267)
  * Minor source-code cleanup (closes: #190198)
  * Write messages to syslog (closes: #206096)

 -- Brian White <bcwhite@pobox.com>  Sat, 17 Jan 2004 23:09:35 -0500

  

genpower (1.0.3-1) unstable; urgency=low 

  * Finally got around to getting new source from sf.net (closes: #107511)

 -- Brian White <bcwhite@pobox.com>  Sun, 23 Feb 2003 13:27:20 -0500

  

genpower (1.0.1-14) unstable; urgency=low 

  * Added new APC-ES cable (closes: 107511)

 -- Brian White <bcwhite@pobox.com>  

  

genpower (1.0.1-13) unstable; urgency=low 

  * Fixed install syntax errors (closes: 82756)

 -- Brian White <bcwhite@pobox.com>  Thu, 18 Jan 2001 22:57:15 -0500

  

genpower (1.0.1-12) unstable; urgency=low 

  * Added "apc-23A" UPS cable description (closes: #67817)
  * Added "omron" UPS cable description (closes: #57314)
  * Added "gentest" manpage and other doc changes (closes: #46860)
  * Added "powerware 3115" cable description and other doc changes (closes: #78154)

 -- Brian White <bcwhite@pobox.com>  Sat, 13 Jan 2001 21:14:56 -0500

genpower (1.0.1-11) unstable; urgency=low

  * Fixed start priority to be after kerneld (Bug#47505)
  * Create /etc/upsstatus in postinst (Bug#46818)
  * Added "gmbh-usv" UPS cable description
  * Added "trust-energy" UPS cable description

 -- Brian White <bcwhite@pobox.com>  Wed, 27 Oct 1999 16:21:31 -0400

genpower (1.0.1-10) unstable; urgency=low

  * Added "blackout-buster" UPS cable description
  * Fixed build to include "-DNEWINIT"

 -- Brian White <bcwhite@pobox.com>  Mon, 30 Aug 1999 10:57:26 -0400

genpower (1.0.1-9) unstable; urgency=low

  * Fixed syntax error for "now" shutdown times (Bug#35150,#39695)

 -- Brian White <bcwhite@pobox.com>  Fri, 27 Aug 1999 14:16:53 -0400

genpower (1.0.1-8) unstable; urgency=low

  * Now uses initreq (Bug#23007)
  * Added ioctl patch (Bug#24610)

 -- Brian White <bcwhite@pobox.com>  Tue, 13 Oct 1998 12:04:14 -0400

genpower (1.0.1-7) unstable; urgency=low

  * Wrote new copyright file (Bug#17925)
  * Added "tripp-pnp" cable by Philippe Troin <phil@fifi.org> (Bug#18784)

 -- Brian White <bcwhite@pobox.com>  Wed, 11 Mar 1998 12:25:32 -0500

genpower (1.0.1-6) unstable; urgency=low

  * Added cable for TrippLite OminiSmart PNP 675
  * Added command to put UPS into dumb-signalling mode

 -- Brian White <bcwhite@pobox.com>  Tue, 13 Jan 1998 19:09:14 -0500

genpower (1.0.1-5) unstable; urgency=low

  * Fixed documentation bugs (bug#11973)
  * Compiled with libc6

 -- Brian White <bcwhite@pobox.com>  Mon, 15 Sep 1997 20:00:29 -0400

genpower (1.0.1-4) unstable; urgency=low

  * Added new APC Plug-n-Play cable from Chris Hansen!

 -- Brian White <bcwhite@pobox.com>  Sat, 31 May 1997 13:51:36 -0400

genpower (1.0.1-3) unstable; urgency=low

  * fixed location of man page (Bug#6581)

 -- Brian White <bcwhite@pobox.com>  Tue, 14 Jan 1997 12:41:41 -0500

genpower (1.0.1-2) unstable; urgency=low

  * improved install & remove scripts
  * improved genpowerd and powerfail init.d scripts
  * first public release of Debian package

 -- Brian White <bcwhite@pobox.com>  Fri,  8 Nov 1996 10:17:40 -0500

genpower (1.0.1-1) unstable; urgency=low

  * first Debian package
  * added advanced APC cable

 -- Brian White <bcwhite@pobox.com>  Thu, 17 Jul 1996 21:01:19 +0400


Local variables:
mode: debian-changelog
End:
